CGAL 6.1 - 3D Surface Subdivision Methods

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Linear_mask_3< PolygonMesh, VertexPointMap > Class Template Reference

`#include <CGAL/Subdivision_method_3/subdivision_masks_3.h>`

## Inherits from

CGAL::PQQ_stencil_3< PolygonMesh, VertexPointMap >.

Inherited by CGAL::CatmullClark_mask_3< PolygonMesh, VertexPointMap >, and CGAL::Sqrt3_mask_3< PolygonMesh, VertexPointMap >.

## Definition

template<class PolygonMesh, class VertexPointMap = typename boost::property_map<PolygonMesh, vertex_point_t>::type>
class CGAL::Linear_mask_3< PolygonMesh, VertexPointMap >

Bi-linear geometry mask for PQQ, PTQ, and Sqrt(3) schemes.

## Public Types
typedef PolygonMesh | Mesh
Public Types inherited from CGAL::PQQ_stencil_3< PolygonMesh, VertexPointMap >
typedef PolygonMesh | Mesh
typedef boost::property_map< Mesh, vertex_point_t >::type | Vertex_pmap
typedef boost::graph_traits< Mesh >::vertex_descriptor | vertex_descriptor
typedef boost::graph_traits< Mesh >::halfedge_descriptor | halfedge_descriptor
typedef boost::graph_traits< Mesh >::face_descriptor | face_descriptor
typedef boost::property_traits< Vertex_pmap >::value_type | Point
typedef Kernel_traits< Point >::Kernel | Kernel
typedef Kernel::FT | FT
typedef Kernel::Vector_3 | Vector

## Public Member Functions
| Linear_mask_3 (Mesh *pmesh)
| Linear_mask_3 (Mesh *pmesh, VertexPointMap vpmap)
void | face_node (face_descriptor facet, Point &pt)
void | edge_node (halfedge_descriptor edge, Point &pt)
void | vertex_node (vertex_descriptor vertex, Point &pt)
void | border_node (halfedge_descriptor edge, Point &ept, Point &vtp)
Public Member Functions inherited from CGAL::PQQ_stencil_3< PolygonMesh, VertexPointMap >
| PQQ_stencil_3 (Mesh *pmesh)
| PQQ_stencil_3 (Mesh *pmesh, VertexPointMap vpmap)
void | face_node (face_descriptor, Point &)
void | edge_node (halfedge_descriptor, Point &)
void | vertex_node (vertex_descriptor, Point &)
void | border_node (halfedge_descriptor, Point &, Point &)

## Additional Inherited Members
Public Attributes inherited from CGAL::PQQ_stencil_3< PolygonMesh, VertexPointMap >
Mesh * | pmesh
VertexPointMap | vpmap